Source: isc-kea
Section: net
Priority: optional
Maintainer: Kea <isc-kea@packages.debian.org>
Uploaders: Adam Majer <adamm@zombino.com>,
           Ondřej Surý <ondrej@debian.org>,
           Jason Guy <jason.e.guy@gmail.com>
Build-Depends: bison,
               debhelper-compat (= 12),
               default-libmysqlclient-dev | libmysqlclient-dev,
               dh-python,
               docbook,
               docbook-xsl,
               elinks,
               flex,
               libboost-dev,
               libboost-system-dev,
               liblog4cplus-dev,
               libpq-dev,
               libssl-dev,
               postgresql-server-dev-all,
               python3-dev,
               xsltproc
Standards-Version: 3.9.7
Homepage: http://kea.isc.org/
Vcs-Git: https://salsa.debian.org/debian/isc-kea.git
Vcs-Browser: https://salsa.debian.org/debian/isc-kea

Package: kea-dhcp4-server
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: kea-common (= ${binary:Version}),
         lsb-base,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: kea-doc
Description: ISC KEA IPv4 DHCP server
 KEA is an IPv4 and IPv6 DHCP server developed by Internet Systems Consortium
 providing a very high-performance with PostgreSQL, MySQL and memfile backends.
 .
 This package provides the IPv4 DHCP server.

Package: kea-dhcp6-server
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: kea-common (= ${binary:Version}),
         lsb-base,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: kea-doc
Description: ISC KEA IPv6 DHCP server
 KEA is an IPv4 and IPv6 DHCP server developed by Internet Systems Consortium
 providing a very high-performance with PostgreSQL, MySQL and memfile backends.
 .
 This package provides the IPv6 DHCP server.

Package: kea-dhcp-ddns-server
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: kea-common (= ${binary:Version}),
         lsb-base,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: kea-doc
Description: ISC KEA DHCP Dynamic DNS service
 KEA is an IPv4 and IPv6 DHCP server developed by Internet Systems Consortium.
 .
 This package provides Dynamic DNS service to update DNS mapping based on
 DHCP lease events.

Package: kea-ctrl-agent
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: kea-common (= ${binary:Version}),
         lsb-base,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: kea-doc
Description: ISC KEA DHCP server REST API service
 KEA is an IPv4 and IPv6 DHCP server developed by Internet Systems Consortium.
 .
 This package provides the REST API service agent for Kea DHCP.

Package: kea-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for ISC KEA DHCP server
 KEA is an IPv4 and IPv6 DHCP server developed by Internet Systems Consortium.
 .
 This package provides documentation for the DHCP servers.

Package: kea-admin
Architecture: any
Section: admin
Depends: kea-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Administration utilities for ISC KEA DHCP server
 KEA is an IPv4 and IPv6 DHCP server developed by Internet Systems Consortium.
 .
 This package provides backend database initialization and migration
 scripts and a DHCP benchmark tool.

Package: kea-dev
Architecture: any
Section: devel
Depends: kea-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Development headers for ISC KEA DHCP server
 KEA is an IPv4 and IPv6 DHCP server developed by Internet Systems Consortium.
 .
 This package provides headers and static libraries of the common ISC KEA
 libraries, including libdhcp++

Package: kea-common
Architecture: any
Section: libs
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Common libraries for the ISC KEA DHCP server
 KEA is an IPv4 and IPv6 DHCP server developed by Internet Systems Consortium.
 .
 This package provides common libraries used by ISC KEA servers and utilities.

Package: python3-kea-connector
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Python3 management connector for ISC KEA DHCP server
 KEA is an IPv4 and IPv6 DHCP server developed by Internet Systems Consortium.
 .
 This package provides Python3 connector
